<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:24 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
DefaultConnectingIOReactor (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DefaultConnectingIOReactor (HttpComponents Core 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultConnectingIOReactor.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/reactor/ChannelEntry.html" title="class in org.apache.http.impl.nio.reactor"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html" title="class in org.apache.http.impl.nio.reactor"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultConnectingIOReactor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.nio.reactor</FONT>
<BR>
Class DefaultConnectingIOReactor</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html" title="class in org.apache.http.impl.nio.reactor">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</A>
      <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../org/apache/http/nio/reactor/ConnectingIOReactor.html" title="interface in org.apache.http.nio.reactor">ConnectingIOReactor</A>, <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactor.html" title="interface in org.apache.http.nio.reactor">IOReactor</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../../../org/apache/http/annotation/ThreadSafe.html" title="annotation in org.apache.http.annotation">@ThreadSafe</A>
</FONT>public class <B>DefaultConnectingIOReactor</B><DT>extends <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html" title="class in org.apache.http.impl.nio.reactor">AbstractMultiworkerIOReactor</A><DT>implements <A HREF="../../../../../../org/apache/http/nio/reactor/ConnectingIOReactor.html" title="interface in org.apache.http.nio.reactor">ConnectingIOReactor</A></DL>
</PRE>

<P>
Default implementation of <A HREF="../../../../../../org/apache/http/nio/reactor/ConnectingIOReactor.html" title="interface in org.apache.http.nio.reactor"><CODE>ConnectingIOReactor</CODE></A>. This class extends
 <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html" title="class in org.apache.http.impl.nio.reactor"><CODE>AbstractMultiworkerIOReactor</CODE></A> with capability to connect to remote
 hosts.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.http.impl.nio.reactor.<A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html" title="class in org.apache.http.impl.nio.reactor">AbstractMultiworkerIOReactor</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#auditLog">auditLog</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#config">config</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#exceptionHandler">exceptionHandler</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#interestOpsQueueing">interestOpsQueueing</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#params">params</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#selector">selector</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#selectTimeout">selectTimeout</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#status">status</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor()">DefaultConnectingIOReactor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an instance of DefaultConnectingIOReactor with default configuration.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(int, org.apache.http.params.HttpParams)">DefaultConnectingIOReactor</A></B>(int&nbsp;workerCount,
                           <A HREF="../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig)"><CODE>DefaultConnectingIOReactor(IOReactorConfig)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(int, java.util.concurrent.ThreadFactory, org.apache.http.params.HttpParams)">DefaultConnectingIOReactor</A></B>(int&nbsp;workerCount,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/ThreadFactory.html?is-external=true" title="class or interface in java.util.concurrent">ThreadFactory</A>&nbsp;threadFactory,
                           <A HREF="../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig, java.util.concurrent.ThreadFactory)"><CODE>DefaultConnectingIOReactor(IOReactorConfig, ThreadFactory)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig)">DefaultConnectingIOReactor</A></B>(<A HREF="../../../../../../org/apache/http/impl/nio/reactor/IOReactorConfig.html" title="class in org.apache.http.impl.nio.reactor">IOReactorConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an instance of DefaultConnectingIOReactor with the given configuration.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig, java.util.concurrent.ThreadFactory)">DefaultConnectingIOReactor</A></B>(<A HREF="../../../../../../org/apache/http/impl/nio/reactor/IOReactorConfig.html" title="class in org.apache.http.impl.nio.reactor">IOReactorConfig</A>&nbsp;config,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/ThreadFactory.html?is-external=true" title="class or interface in java.util.concurrent">ThreadFactory</A>&nbsp;threadFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an instance of DefaultConnectingIOReactor with the given configuration.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#cancelRequests()">cancelRequests</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Triggered to cancel pending session requests.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/nio/reactor/SessionRequest.html" title="interface in org.apache.http.nio.reactor">SessionRequest</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#connect(java.net.SocketAddress, java.net.SocketAddress, java.lang.Object, org.apache.http.nio.reactor.SessionRequestCallback)">connect</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketAddress.html?is-external=true" title="class or interface in java.net">SocketAddress</A>&nbsp;remoteAddress,
        <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketAddress.html?is-external=true" title="class or interface in java.net">SocketAddress</A>&nbsp;localAddress,
        <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;attachment,
        <A HREF="../../../../../../org/apache/http/nio/reactor/SessionRequestCallback.html" title="interface in org.apache.http.nio.reactor">SessionRequestCallback</A>&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Requests a connection to a remote host.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#processEvents(int)">processEvents</A></B>(int&nbsp;readyCount)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Triggered to process I/O events registered by the main <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/channels/Selector.html?is-external=true" title="class or interface in java.nio.channels"><CODE>Selector</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.nio.reactor.<A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html" title="class in org.apache.http.impl.nio.reactor">AbstractMultiworkerIOReactor</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#addChannel(org.apache.http.impl.nio.reactor.ChannelEntry)">addChannel</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#addExceptionEvent(java.lang.Throwable)">addExceptionEvent</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#addExceptionEvent(java.lang.Throwable, java.util.Date)">addExceptionEvent</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#awaitShutdown(long)">awaitShutdown</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#doShutdown()">doShutdown</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#execute(org.apache.http.nio.reactor.IOEventDispatch)">execute</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#getAuditLog()">getAuditLog</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#getStatus()">getStatus</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#prepareSocket(java.net.Socket)">prepareSocket</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#registerChannel(java.nio.channels.SelectableChannel, int)">registerChannel</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#setExceptionHandler(org.apache.http.nio.reactor.IOReactorExceptionHandler)">setExceptionHandler</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#shutdown()">shutdown</A>, <A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#shutdown(long)">shutdown</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.nio.reactor.IOReactor"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.nio.reactor.<A HREF="../../../../../../org/apache/http/nio/reactor/IOReactor.html" title="interface in org.apache.http.nio.reactor">IOReactor</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/IOReactor.html#execute(org.apache.http.nio.reactor.IOEventDispatch)">execute</A>, <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactor.html#getStatus()">getStatus</A>, <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactor.html#shutdown()">shutdown</A>, <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactor.html#shutdown(long)">shutdown</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig, java.util.concurrent.ThreadFactory)"><!-- --></A><H3>
DefaultConnectingIOReactor</H3>
<PRE>
public <B>DefaultConnectingIOReactor</B>(<A HREF="../../../../../../org/apache/http/impl/nio/reactor/IOReactorConfig.html" title="class in org.apache.http.impl.nio.reactor">IOReactorConfig</A>&nbsp;config,
                                  <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/ThreadFactory.html?is-external=true" title="class or interface in java.util.concurrent">ThreadFactory</A>&nbsp;threadFactory)
                           throws <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></PRE>
<DL>
<DD>Creates an instance of DefaultConnectingIOReactor with the given configuration.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>config</CODE> - I/O reactor configuration.<DD><CODE>threadFactory</CODE> - the factory to create threads.
   Can be <code>null</code>.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></CODE> - in case if a non-recoverable I/O error.<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
</DL>
<HR>

<A NAME="DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig)"><!-- --></A><H3>
DefaultConnectingIOReactor</H3>
<PRE>
public <B>DefaultConnectingIOReactor</B>(<A HREF="../../../../../../org/apache/http/impl/nio/reactor/IOReactorConfig.html" title="class in org.apache.http.impl.nio.reactor">IOReactorConfig</A>&nbsp;config)
                           throws <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></PRE>
<DL>
<DD>Creates an instance of DefaultConnectingIOReactor with the given configuration.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>config</CODE> - I/O reactor configuration.
   Can be <code>null</code>.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></CODE> - in case if a non-recoverable I/O error.<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
</DL>
<HR>

<A NAME="DefaultConnectingIOReactor()"><!-- --></A><H3>
DefaultConnectingIOReactor</H3>
<PRE>
public <B>DefaultConnectingIOReactor</B>()
                           throws <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></PRE>
<DL>
<DD>Creates an instance of DefaultConnectingIOReactor with default configuration.
<P>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></CODE> - in case if a non-recoverable I/O error.<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
</DL>
<HR>

<A NAME="DefaultConnectingIOReactor(int, java.util.concurrent.ThreadFactory, org.apache.http.params.HttpParams)"><!-- --></A><H3>
DefaultConnectingIOReactor</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>DefaultConnectingIOReactor</B>(int&nbsp;workerCount,
                                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/ThreadFactory.html?is-external=true" title="class or interface in java.util.concurrent">ThreadFactory</A>&nbsp;threadFactory,
                                             <A HREF="../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)
                           throws <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig, java.util.concurrent.ThreadFactory)"><CODE>DefaultConnectingIOReactor(IOReactorConfig, ThreadFactory)</CODE></A></I>
<P>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></CODE></DL>
</DL>
<HR>

<A NAME="DefaultConnectingIOReactor(int, org.apache.http.params.HttpParams)"><!-- --></A><H3>
DefaultConnectingIOReactor</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>DefaultConnectingIOReactor</B>(int&nbsp;workerCount,
                                             <A HREF="../../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)
                           throws <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor(org.apache.http.impl.nio.reactor.IOReactorConfig)"><CODE>DefaultConnectingIOReactor(IOReactorConfig)</CODE></A></I>
<P>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></CODE></DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="cancelRequests()"><!-- --></A><H3>
cancelRequests</H3>
<PRE>
protected void <B>cancelRequests</B>()
                       throws <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#cancelRequests()">AbstractMultiworkerIOReactor</A></CODE></B></DD>
<DD>Triggered to cancel pending session requests.
 <p>
 Super-classes can implement this method to react to the event.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#cancelRequests()">cancelRequests</A></CODE> in class <CODE><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html" title="class in org.apache.http.impl.nio.reactor">AbstractMultiworkerIOReactor</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></CODE> - in case if a non-recoverable I/O error.</DL>
</DD>
</DL>
<HR>

<A NAME="processEvents(int)"><!-- --></A><H3>
processEvents</H3>
<PRE>
protected void <B>processEvents</B>(int&nbsp;readyCount)
                      throws <A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#processEvents(int)">AbstractMultiworkerIOReactor</A></CODE></B></DD>
<DD>Triggered to process I/O events registered by the main <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/channels/Selector.html?is-external=true" title="class or interface in java.nio.channels"><CODE>Selector</CODE></A>.
 <p>
 Super-classes can implement this method to react to the event.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#processEvents(int)">processEvents</A></CODE> in class <CODE><A HREF="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html" title="class in org.apache.http.impl.nio.reactor">AbstractMultiworkerIOReactor</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>readyCount</CODE> - event count.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/IOReactorException.html" title="class in org.apache.http.nio.reactor">IOReactorException</A></CODE> - in case if a non-recoverable I/O error.</DL>
</DD>
</DL>
<HR>

<A NAME="connect(java.net.SocketAddress, java.net.SocketAddress, java.lang.Object, org.apache.http.nio.reactor.SessionRequestCallback)"><!-- --></A><H3>
connect</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/nio/reactor/SessionRequest.html" title="interface in org.apache.http.nio.reactor">SessionRequest</A> <B>connect</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketAddress.html?is-external=true" title="class or interface in java.net">SocketAddress</A>&nbsp;remoteAddress,
                              <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketAddress.html?is-external=true" title="class or interface in java.net">SocketAddress</A>&nbsp;localAddress,
                              <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;attachment,
                              <A HREF="../../../../../../org/apache/http/nio/reactor/SessionRequestCallback.html" title="interface in org.apache.http.nio.reactor">SessionRequestCallback</A>&nbsp;callback)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../org/apache/http/nio/reactor/ConnectingIOReactor.html#connect(java.net.SocketAddress, java.net.SocketAddress, java.lang.Object, org.apache.http.nio.reactor.SessionRequestCallback)">ConnectingIOReactor</A></CODE></B></DD>
<DD>Requests a connection to a remote host.
 <p>
 Opening a connection to a remote host usually tends to be a time
 consuming process and may take a while to complete. One can monitor and
 control the process of session initialization by means of the
 <A HREF="../../../../../../org/apache/http/nio/reactor/SessionRequest.html" title="interface in org.apache.http.nio.reactor"><CODE>SessionRequest</CODE></A> interface.
 <p>
 There are several parameters one can use to exert a greater control over
 the process of session initialization:
 <p>
 A non-null local socket address parameter can be used to bind the socket
 to a specific local address.
 <p>
 An attachment object can added to the new session's context upon
 initialization. This object can be used to pass an initial processing
 state to the protocol handler.
 <p>
 It is often desirable to be able to react to the completion of a session
 request asynchronously without having to wait for it, blocking the
 current thread of execution. One can optionally provide an implementation
 <A HREF="../../../../../../org/apache/http/nio/reactor/SessionRequestCallback.html" title="interface in org.apache.http.nio.reactor"><CODE>SessionRequestCallback</CODE></A> instance to get notified of events related
 to session requests, such as request completion, cancellation, failure or
 timeout.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/reactor/ConnectingIOReactor.html#connect(java.net.SocketAddress, java.net.SocketAddress, java.lang.Object, org.apache.http.nio.reactor.SessionRequestCallback)">connect</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/reactor/ConnectingIOReactor.html" title="interface in org.apache.http.nio.reactor">ConnectingIOReactor</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>remoteAddress</CODE> - the socket address of the remote host.<DD><CODE>localAddress</CODE> - the local socket address. Can be <code>null</code>,
    in which can the default local address and a random port will be used.<DD><CODE>attachment</CODE> - the attachment object. Can be <code>null</code>.<DD><CODE>callback</CODE> - interface. Can be <code>null</code>.
<DT><B>Returns:</B><DD>session request object.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultConnectingIOReactor.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/reactor/ChannelEntry.html" title="class in org.apache.http.impl.nio.reactor"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html" title="class in org.apache.http.impl.nio.reactor"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultConnectingIOReactor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
